Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Compile sdp.c only if we have found a working libsdp.
authoralegrand <alegrand@48e7efb5-ca39-0410-a469-dd3cf9ba447f>
Thu, 18 Jan 2007 15:19:03 +0000 (15:19 +0000)
committeralegrand <alegrand@48e7efb5-ca39-0410-a469-dd3cf9ba447f>
Thu, 18 Jan 2007 15:19:03 +0000 (15:19 +0000)
git-svn-id: svn+ssh://scm.gforge.inria.fr/svn/simgrid/simgrid/trunk@3068 48e7efb5-ca39-0410-a469-dd3cf9ba447f

28 files changed:
Makefile.in
configure
configure.ac
doc/Makefile.in
examples/Makefile.in
examples/amok/Makefile.in
examples/amok/bandwidth/Makefile.in
examples/amok/saturate/Makefile.in
examples/gras/Makefile.in
examples/gras/all2all/Makefile.in
examples/gras/chrono/Makefile.in
examples/gras/mmrpc/Makefile.in
examples/gras/mutual_exclusion/simple_token/Makefile.in
examples/gras/p2p/Makefile.in
examples/gras/p2p/can/Makefile.in
examples/gras/p2p/chord/Makefile.in
examples/gras/ping/Makefile.in
examples/gras/pmm/Makefile.in
examples/gras/rpc/Makefile.in
examples/gras/timer/Makefile.in
examples/msg/Makefile.in
examples/simdag/Makefile.in
include/Makefile.in
src/Makefile.am
src/Makefile.in
testsuite/Makefile.in
tools/Makefile.in
tools/gras/Makefile.in

index 99a428d..594f717 100644 (file)
@@ -129,6 +129,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index 4f04d21..f48971a 100755 (executable)
--- a/configure
+++ b/configure
@@ -881,6 +881,8 @@ LIBOBJS
 PTH_STACK_GROWTH
 pth_skaddr_makecontext
 pth_sksize_makecontext
+HAVE_SDP_TRUE
+HAVE_SDP_FALSE
 SIMGRID_DEP
 GRAS_DEP
 GRAMINE_MODE_TRUE
@@ -4387,7 +4389,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4390 "configure"' > conftest.$ac_ext
+  echo '#line 4392 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7409,11 +7411,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7412: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7414: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7416: \$? = $ac_status" >&5
+   echo "$as_me:7418: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7677,11 +7679,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7680: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7682: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7684: \$? = $ac_status" >&5
+   echo "$as_me:7686: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7781,11 +7783,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7784: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7786: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7788: \$? = $ac_status" >&5
+   echo "$as_me:7790: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10078,7 +10080,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10081 "configure"
+#line 10083 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10178,7 +10180,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10181 "configure"
+#line 10183 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12514,11 +12516,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12517: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12519: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12521: \$? = $ac_status" >&5
+   echo "$as_me:12523: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12618,11 +12620,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12621: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12623: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12625: \$? = $ac_status" >&5
+   echo "$as_me:12627: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14179,11 +14181,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14182: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14184: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14186: \$? = $ac_status" >&5
+   echo "$as_me:14188: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14283,11 +14285,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14286: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14288: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14290: \$? = $ac_status" >&5
+   echo "$as_me:14292: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16470,11 +16472,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16473: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16475: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16477: \$? = $ac_status" >&5
+   echo "$as_me:16479: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16738,11 +16740,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16741: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16743: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16745: \$? = $ac_status" >&5
+   echo "$as_me:16747: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16842,11 +16844,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16845: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16847: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16849: \$? = $ac_status" >&5
+   echo "$as_me:16851: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -25290,7 +25292,97 @@ echo "${ECHO_T}" >&6; }
   { echo "$as_me:$LINENO: result: ${T_MD}Checking extra libraries dependencies...${T_ME}" >&5
 echo "${ECHO_T}${T_MD}Checking extra libraries dependencies...${T_ME}" >&6; }
 
+
+{ echo "$as_me:$LINENO: checking for csdp" >&5
+echo $ECHO_N "checking for csdp... $ECHO_C" >&6; }
 SIMGRID_DEP=""
+sdp=no
+{ echo "$as_me:$LINENO: checking for sdp in -lsdp" >&5
+echo $ECHO_N "checking for sdp in -lsdp... $ECHO_C" >&6; }
+if test "${ac_cv_lib_sdp_sdp+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lsdp -llapack -lblas -lm $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char sdp ();
+int
+main ()
+{
+return sdp ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_sdp_sdp=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_lib_sdp_sdp=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_sdp_sdp" >&5
+echo "${ECHO_T}$ac_cv_lib_sdp_sdp" >&6; }
+if test $ac_cv_lib_sdp_sdp = yes; then
+  csdp=yes
+else
+  csdp=no
+fi
+
+if test "x$csdp" = xyes; then
+  SIMGRID_DEP="$SIMGRID_DEP -lsdp -llapack -lblas -lm"
+  { echo "$as_me:$LINENO: result: Found working sdp library." >&5
+echo "${ECHO_T}Found working sdp library." >&6; }
+else
+  { echo "$as_me:$LINENO: result: Could not find any working sdp library." >&5
+echo "${ECHO_T}Could not find any working sdp library." >&6; }
+fi;
+
+
+if test x$csdp != xno; then
+  HAVE_SDP_TRUE=
+  HAVE_SDP_FALSE='#'
+else
+  HAVE_SDP_TRUE='#'
+  HAVE_SDP_FALSE=
+fi
+
+
 
 
 GRAS_DEP=""
@@ -26281,6 +26373,13 @@ echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${HAVE_SDP_TRUE}" && test -z "${HAVE_SDP_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"HAVE_SDP\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"HAVE_SDP\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${GRAMINE_MODE_TRUE}" && test -z "${GRAMINE_MODE_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"GRAMINE_MODE\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -27041,6 +27140,8 @@ LIBOBJS!$LIBOBJS$ac_delim
 PTH_STACK_GROWTH!$PTH_STACK_GROWTH$ac_delim
 pth_skaddr_makecontext!$pth_skaddr_makecontext$ac_delim
 pth_sksize_makecontext!$pth_sksize_makecontext$ac_delim
+HAVE_SDP_TRUE!$HAVE_SDP_TRUE$ac_delim
+HAVE_SDP_FALSE!$HAVE_SDP_FALSE$ac_delim
 SIMGRID_DEP!$SIMGRID_DEP$ac_delim
 GRAS_DEP!$GRAS_DEP$ac_delim
 GRAMINE_MODE_TRUE!$GRAMINE_MODE_TRUE$ac_delim
@@ -27069,7 +27170,7 @@ build_id!$build_id$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 40; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 42; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
index ee7a572..20c1a48 100644 (file)
@@ -176,7 +176,19 @@ fi
 ##
 
 SG_CONFIGURE_PART(Checking extra libraries dependencies...)
+
+AC_MSG_CHECKING(for csdp)
 SIMGRID_DEP=""
+sdp=no
+AC_CHECK_LIB(sdp,sdp,csdp=yes, csdp=no,-llapack -lblas -lm)
+if test "x$csdp" = xyes; then 
+  SIMGRID_DEP="$SIMGRID_DEP -lsdp -llapack -lblas -lm"
+  AC_MSG_RESULT(Found working sdp library.)
+else
+  AC_MSG_RESULT(Could not find any working sdp library.)
+fi;
+AM_CONDITIONAL(HAVE_SDP,test x$csdp != xno)
+
 AC_SUBST([SIMGRID_DEP])
 
 GRAS_DEP=""
index 483abb1..b665769 100644 (file)
@@ -102,6 +102,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index e915e05..f5fcc83 100644 (file)
@@ -111,6 +111,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index d6b6819..beb2d2b 100644 (file)
@@ -111,6 +111,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index 531f0d8..ba763c6 100644 (file)
@@ -135,6 +135,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index 90597db..b8e3ca9 100644 (file)
@@ -135,6 +135,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index df98a32..29285e1 100644 (file)
@@ -111,6 +111,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index e9d5e46..464f1a8 100644 (file)
@@ -135,6 +135,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index 8de5bc1..8e70ad2 100644 (file)
@@ -129,6 +129,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index 57507b9..0d6ab78 100644 (file)
@@ -136,6 +136,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index b1d818b..c9f8c3e 100644 (file)
@@ -132,6 +132,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index 37755ea..4494dac 100644 (file)
@@ -111,6 +111,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index cd75e81..93e4492 100644 (file)
@@ -132,6 +132,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index db720b9..557bbd6 100644 (file)
@@ -127,6 +127,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index be4e536..f8cdbd1 100644 (file)
@@ -136,6 +136,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index d4e84ec..b355b74 100644 (file)
@@ -132,6 +132,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index 1e22ed0..eb77670 100644 (file)
@@ -135,6 +135,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index f81d2eb..6d3268a 100644 (file)
@@ -127,6 +127,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index aec6caf..fd4b859 100644 (file)
@@ -135,6 +135,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index da688d3..04c24d7 100644 (file)
@@ -119,6 +119,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index 93d6043..3eaf686 100644 (file)
@@ -116,6 +116,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index 934770a..b14bdd5 100644 (file)
@@ -160,7 +160,6 @@ SG_SRC=  \
   xbt/context.c                                                              \
   \
   surf/maxmin.c                                                              \
-  surf/sdp.c                                                                 \
   surf/trace_mgr.c                                                           \
   surf/surf.c                                                                \
   surf/surfxml_parse.c                                                       \
@@ -184,6 +183,10 @@ SG_SRC=  \
   \
   gras/Msg/sg_msg.c
 
+if HAVE_SDP
+  SG_SRC+= surf/sdp.c  
+endif
+
 AMOK_SRC= \
   amok/amok_base.c \
   amok/Bandwidth/bandwidth.c amok/Bandwidth/saturate.c \
index 1e81597..67ca0ae 100644 (file)
@@ -43,8 +43,9 @@ POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
 target_triplet = @target@
+@HAVE_SDP_TRUE@am__append_1 = surf/sdp.c  
 @GRAMINE_MODE_FALSE@noinst_PROGRAMS = testall$(EXEEXT)
-@GRAMINE_MODE_FALSE@am__append_1 = $(testall_SOURCES)
+@GRAMINE_MODE_FALSE@am__append_2 = $(testall_SOURCES)
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
        $(srcdir)/gras_config.h.in $(srcdir)/ucontext_stack.h.in \
        $(top_srcdir)/acmacro/dist-files.mk
@@ -90,26 +91,56 @@ am_libgras_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
        $(am__objects_3)
 libgras_la_OBJECTS = $(am_libgras_la_OBJECTS)
 libsimgrid_la_LIBADD =
-am__objects_4 = context.lo maxmin.lo sdp.lo trace_mgr.lo surf.lo \
+am__libsimgrid_la_SOURCES_DIST = xbt/snprintf.c xbt/ex.c \
+       xbt_modinter.h gras_modinter.h xbt/sysdep.c xbt/asserts.c \
+       xbt/log.c xbt/log_default_appender.c xbt/mallocator.c \
+       xbt/dynar.c xbt/dict.c xbt/dict_elm.c xbt/dict_cursor.c \
+       xbt/dict_multi.c xbt/heap.c xbt/fifo.c xbt/swag.c xbt/graph.c \
+       xbt/set.c xbt/xbt_matrix.c xbt/xbt_peer.c xbt/xbt_main.c \
+       xbt/config.c xbt/cunit.c xbt/graphxml_parse.c gras/gras.c \
+       gras/Transport/transport.c gras/Transport/transport_private.h \
+       gras/DataDesc/ddt_create.c gras/DataDesc/ddt_convert.c \
+       gras/DataDesc/ddt_exchange.c gras/DataDesc/cbps.c \
+       gras/DataDesc/datadesc.c gras/DataDesc/datadesc_interface.h \
+       gras/DataDesc/datadesc_private.h gras/DataDesc/ddt_parse.c \
+       gras/DataDesc/ddt_parse.yy.c gras/DataDesc/ddt_parse.yy.h \
+       gras/Msg/msg.c gras/Msg/rpc.c gras/Msg/timer.c \
+       gras/Msg/msg_interface.h gras/Msg/msg_private.h \
+       gras/Virtu/process.c gras/Virtu/gras_module.c xbt/context.c \
+       surf/maxmin.c surf/trace_mgr.c surf/surf.c \
+       surf/surfxml_parse.c surf/cpu.c surf/network.c \
+       surf/workstation.c surf/surf_timer.c surf/network_dassf.c \
+       surf/workstation_KCCFLN05.c msg/msg_config.c msg/task.c \
+       msg/host.c msg/m_process.c msg/gos.c msg/global.c \
+       msg/environment.c msg/deployment.c simdag/sd_global.c \
+       simdag/sd_link.c simdag/sd_task.c simdag/sd_workstation.c \
+       gras/Transport/sg_transport.c \
+       gras/Transport/transport_plugin_sg.c gras/Virtu/sg_emul.c \
+       gras/Virtu/sg_process.c gras/Virtu/sg_time.c \
+       gras/Virtu/sg_dns.c gras/Msg/sg_msg.c surf/sdp.c \
+       amok/amok_base.c amok/Bandwidth/bandwidth.c \
+       amok/Bandwidth/saturate.c amok/PeerManagement/peermanagement.c
+@HAVE_SDP_TRUE@am__objects_4 = sdp.lo
+am__objects_5 = context.lo maxmin.lo trace_mgr.lo surf.lo \
        surfxml_parse.lo cpu.lo network.lo workstation.lo \
        surf_timer.lo network_dassf.lo workstation_KCCFLN05.lo \
        msg_config.lo task.lo host.lo m_process.lo gos.lo global.lo \
        environment.lo deployment.lo sd_global.lo sd_link.lo \
        sd_task.lo sd_workstation.lo sg_transport.lo \
        transport_plugin_sg.lo sg_emul.lo sg_process.lo sg_time.lo \
-       sg_dns.lo sg_msg.lo
-am_libsimgrid_la_OBJECTS = $(am__objects_1) $(am__objects_4) \
+       sg_dns.lo sg_msg.lo $(am__objects_4)
+am_libsimgrid_la_OBJECTS = $(am__objects_1) $(am__objects_5) \
        $(am__objects_3)
 libsimgrid_la_OBJECTS = $(am_libsimgrid_la_OBJECTS)
 PROGRAMS = $(noinst_PROGRAMS)
 am__testall_SOURCES_DIST = cunit_unit.c ex_unit.c dynar_unit.c \
        dict_unit.c set_unit.c swag_unit.c config_unit.c \
        simgrid_units_main.c
-@GRAMINE_MODE_FALSE@am__objects_5 = cunit_unit.$(OBJEXT) \
+@GRAMINE_MODE_FALSE@am__objects_6 = cunit_unit.$(OBJEXT) \
 @GRAMINE_MODE_FALSE@   ex_unit.$(OBJEXT) dynar_unit.$(OBJEXT) \
 @GRAMINE_MODE_FALSE@   dict_unit.$(OBJEXT) set_unit.$(OBJEXT) \
 @GRAMINE_MODE_FALSE@   swag_unit.$(OBJEXT) config_unit.$(OBJEXT)
-@GRAMINE_MODE_FALSE@am_testall_OBJECTS = $(am__objects_5) \
+@GRAMINE_MODE_FALSE@am_testall_OBJECTS = $(am__objects_6) \
 @GRAMINE_MODE_FALSE@   simgrid_units_main.$(OBJEXT)
 testall_OBJECTS = $(am_testall_OBJECTS)
 @GRAMINE_MODE_FALSE@testall_DEPENDENCIES = libgras.la
@@ -126,7 +157,7 @@ LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
        $(AM_LDFLAGS) $(LDFLAGS) -o $@
 SOURCES = $(libgras_la_SOURCES) $(libsimgrid_la_SOURCES) \
        $(testall_SOURCES)
-DIST_SOURCES = $(libgras_la_SOURCES) $(libsimgrid_la_SOURCES) \
+DIST_SOURCES = $(libgras_la_SOURCES) $(am__libsimgrid_la_SOURCES_DIST) \
        $(am__testall_SOURCES_DIST)
 ETAGS = etags
 CTAGS = ctags
@@ -172,6 +203,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
@@ -300,7 +333,7 @@ EXTRA_DIST = portable.h xbt/mallocator_private.h xbt/dynar_private.h \
        gras/Virtu/virtu_rl.h gras/Virtu/virtu_sg.h \
        gras/DataDesc/ddt_parse.yy.l gras/DataDesc/ddt_parse.yy.c \
        amok/Bandwidth/bandwidth_private.h amok/amok_modinter.h \
-       $(am__append_1)
+       $(am__append_2)
 
 #        gras_private.h
 
@@ -392,34 +425,17 @@ RL_SRC = \
   \
   gras/Msg/rl_msg.c
 
-SG_SRC = \
-  xbt/context.c                                                              \
-  \
-  surf/maxmin.c                                                              \
-  surf/sdp.c                                                                 \
-  surf/trace_mgr.c                                                           \
-  surf/surf.c                                                                \
-  surf/surfxml_parse.c                                                       \
-  surf/cpu.c   surf/network.c   surf/workstation.c                           \
-  surf/surf_timer.c                                                          \
-  surf/network_dassf.c                                                       \
-  surf/workstation_KCCFLN05.c  \
-  \
-  msg/msg_config.c \
-  msg/task.c msg/host.c msg/m_process.c msg/gos.c \
-  msg/global.c msg/environment.c msg/deployment.c  \
-  \
-  simdag/sd_global.c simdag/sd_link.c simdag/sd_task.c                       \
-  simdag/sd_workstation.c                                                    \
-  \
-  gras/Transport/sg_transport.c  gras/Transport/transport_plugin_sg.c        \
-  \
-  gras/Virtu/sg_emul.c \
-  gras/Virtu/sg_process.c        gras/Virtu/sg_time.c     \
-  gras/Virtu/sg_dns.c\
-  \
-  gras/Msg/sg_msg.c
-
+SG_SRC = xbt/context.c surf/maxmin.c surf/trace_mgr.c surf/surf.c \
+       surf/surfxml_parse.c surf/cpu.c surf/network.c \
+       surf/workstation.c surf/surf_timer.c surf/network_dassf.c \
+       surf/workstation_KCCFLN05.c msg/msg_config.c msg/task.c \
+       msg/host.c msg/m_process.c msg/gos.c msg/global.c \
+       msg/environment.c msg/deployment.c simdag/sd_global.c \
+       simdag/sd_link.c simdag/sd_task.c simdag/sd_workstation.c \
+       gras/Transport/sg_transport.c \
+       gras/Transport/transport_plugin_sg.c gras/Virtu/sg_emul.c \
+       gras/Virtu/sg_process.c gras/Virtu/sg_time.c \
+       gras/Virtu/sg_dns.c gras/Msg/sg_msg.c $(am__append_1)
 AMOK_SRC = \
   amok/amok_base.c \
   amok/Bandwidth/bandwidth.c amok/Bandwidth/saturate.c \
@@ -1017,13 +1033,6 @@ maxmin.lo: surf/maxmin.c
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@  $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin.lo `test -f 'surf/maxmin.c' || echo '$(srcdir)/'`surf/maxmin.c
 
-sdp.lo: surf/sdp.c
-@am__fastdepCC_TRUE@   if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sdp.lo -MD -MP -MF "$(DEPDIR)/sdp.Tpo" -c -o sdp.lo `test -f 'surf/sdp.c' || echo '$(srcdir)/'`surf/sdp.c; \
-@am__fastdepCC_TRUE@   then mv -f "$(DEPDIR)/sdp.Tpo" "$(DEPDIR)/sdp.Plo"; else rm -f "$(DEPDIR)/sdp.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='surf/sdp.c' object='sdp.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sdp.lo `test -f 'surf/sdp.c' || echo '$(srcdir)/'`surf/sdp.c
-
 trace_mgr.lo: surf/trace_mgr.c
 @am__fastdepCC_TRUE@   if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_mgr.lo -MD -MP -MF "$(DEPDIR)/trace_mgr.Tpo" -c -o trace_mgr.lo `test -f 'surf/trace_mgr.c' || echo '$(srcdir)/'`surf/trace_mgr.c; \
 @am__fastdepCC_TRUE@   then mv -f "$(DEPDIR)/trace_mgr.Tpo" "$(DEPDIR)/trace_mgr.Plo"; else rm -f "$(DEPDIR)/trace_mgr.Tpo"; exit 1; fi
@@ -1220,6 +1229,13 @@ sg_msg.lo: gras/Msg/sg_msg.c
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@  $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sg_msg.lo `test -f 'gras/Msg/sg_msg.c' || echo '$(srcdir)/'`gras/Msg/sg_msg.c
 
+sdp.lo: surf/sdp.c
+@am__fastdepCC_TRUE@   if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sdp.lo -MD -MP -MF "$(DEPDIR)/sdp.Tpo" -c -o sdp.lo `test -f 'surf/sdp.c' || echo '$(srcdir)/'`surf/sdp.c; \
+@am__fastdepCC_TRUE@   then mv -f "$(DEPDIR)/sdp.Tpo" "$(DEPDIR)/sdp.Plo"; else rm -f "$(DEPDIR)/sdp.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='surf/sdp.c' object='sdp.lo' libtool=yes @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sdp.lo `test -f 'surf/sdp.c' || echo '$(srcdir)/'`surf/sdp.c
+
 mostlyclean-libtool:
        -rm -f *.lo
 
index ee1a8d7..6d0665f 100644 (file)
@@ -185,6 +185,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index fa32cd6..7b20ea5 100644 (file)
@@ -111,6 +111,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
index 1de7ef2..0d6a411 100644 (file)
@@ -123,6 +123,8 @@ GRAS_DEP = @GRAS_DEP@
 GREP = @GREP@
 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
+HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
+HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@